<!--
  Generated template for the ReviewPassengerPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Review Passenger</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<div class="text-center pad-all-10 form"> 

		<div class="img-avatar" style="padding: 0 20% 0 20%;">
	      <img [src]="url+user_ride.user.avatar">
	    </div>

	    <h2>Please rate {{user_ride.user.first_name}}:</h2>
	    
		<ionic3-star-rating 
		    activeIcon = "ios-star"
		    defaultIcon = "ios-star-outline"
		    activeColor = "#ffcc00" 
			defaultColor = "#ffcc00"
			fontSize = "20px"
		    readonly= "false"
		    [rating]= "rating">
		</ionic3-star-rating> 

		<div class="form">
			<h2>Tell us about your experience:</h2>
			<ion-item class="top-mar-20">
				<ion-textarea type="textarea" [(ngModel)]="body" rows="6" cols="1" 
			placeholder="Write your review of the ride here..." ></ion-textarea>
			</ion-item>
			<button (click)="storeReview()" ion-button color="primary" class="btn rounded">
          		Submit
        	</button>
        </div>

	</div>
</ion-content>